com.google.cloud.dataflow.sdk.testing

## Interface TestStream.Event<T>

All Known Implementing Classes:
  TestStream.ElementEvent, TestStream.ProcessingTimeEvent, TestStream.WatermarkEvent

Enclosing class:
  TestStream<T>

    public static interface TestStream.Event<T>

An event in a `TestStream`. A marker interface for all events that happen while evaluating a `TestStream`.

### Method Summary

All Methods Instance Methods Abstract Methods
`TestStream.EventType` `getType()`

### Method Detail

#### getType

    TestStream.EventType getType()